<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CustomerRead StructType
 * @subpackage Structs
 */
class CustomerRead extends AbstractStructBase
{
    /**
     * The CustomerReadRQ
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_CustomerRead
     */
    public $CustomerReadRQ;
    /**
     * Constructor method for CustomerRead
     * @uses CustomerRead::setCustomerReadRQ()
     * @param \StructType\JP_CustomerRead $customerReadRQ
     */
    public function __construct(\StructType\JP_CustomerRead $customerReadRQ = null)
    {
        $this
            ->setCustomerReadRQ($customerReadRQ);
    }
    /**
     * Get CustomerReadRQ value
     * @return \StructType\JP_CustomerRead|null
     */
    public function getCustomerReadRQ()
    {
        return $this->CustomerReadRQ;
    }
    /**
     * Set CustomerReadRQ value
     * @param \StructType\JP_CustomerRead $customerReadRQ
     * @return \StructType\CustomerRead
     */
    public function setCustomerReadRQ(\StructType\JP_CustomerRead $customerReadRQ = null)
    {
        $this->CustomerReadRQ = $customerReadRQ;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\CustomerRead
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
